import * as cdk from 'aws-cdk-lib';
import * as constructs from 'constructs';
/**
 * Manage a team in PagerDuty.
 *
 * @schema CfnTeamProps
 */
export interface CfnTeamProps {
    /**
     * @schema CfnTeamProps#Name
     */
    readonly name: string;
    /**
     * @schema CfnTeamProps#Description
     */
    readonly description?: string;
    /**
     * @schema CfnTeamProps#Id
     */
    readonly id?: string;
    /**
     * @schema CfnTeamProps#Summary
     */
    readonly summary?: string;
    /**
     * @schema CfnTeamProps#HtmlUrl
     */
    readonly htmlUrl?: string;
}
/**
 * Converts an object of type 'CfnTeamProps' to JSON representation.
 */
export declare function toJson_CfnTeamProps(obj: CfnTeamProps | undefined): Record<string, any> | undefined;
/**
 * A CloudFormation `PagerDuty::Teams::Team`
 *
 * @cloudformationResource PagerDuty::Teams::Team
 * @stability external
 * @link https://github.com/aws-ia/cloudformation-pagerduty-resource-providers.git
 */
export declare class CfnTeam extends cdk.CfnResource {
    /**
    * The CloudFormation resource type name for this resource class.
    */
    static readonly CFN_RESOURCE_TYPE_NAME = "PagerDuty::Teams::Team";
    /**
     * Resource props.
     */
    readonly props: CfnTeamProps;
    /**
     * Attribute `PagerDuty::Teams::Team.Type`
     * @link https://github.com/aws-ia/cloudformation-pagerduty-resource-providers.git
     */
    readonly attrType: string;
    /**
     * Create a new `PagerDuty::Teams::Team`.
     *
     * @param scope - scope in which this resource is defined
     * @param id    - scoped id of the resource
     * @param props - resource properties
     */
    constructor(scope: constructs.Construct, id: string, props: CfnTeamProps);
}
